LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 08-29-2015, 03:18 AM   #1
Peter_APIIT
Member
 
Registered: Dec 2006
Posts: 606

Rep: Reputation: 31
Libnet Install Problem


Hello to all,

I had downloaded LibNet to OpenBSD 5.7 operating system.
I tried to install it but failed. Anyone can help.
Default shell i ksh.

Below is the steps from INSTALL guide.

Quote:
cd to the extract directory libnet
type make
After typing, error at below:

Quote:
*** Parse error in /home/peterwkc/download/libnet: Missing dependency operator (makefile:3)
*** Parse error: Need an operator in 'endif' (makefile:7)
*** Parse error: Missing dependency operator (makefile:59)
*** Parse error: Need an operator in 'else' (makefile:65)
*** Parse error: Need an operator in 'endif' (makefile:90)
Please help. Thanks.
 
Old 08-29-2015, 08:59 AM   #2
norobro
Member
 
Registered: Feb 2006
Distribution: Debian Sid
Posts: 792

Rep: Reputation: 331Reputation: 331Reputation: 331Reputation: 331
Are you trying to build either of these:The newest code from github built successfully on my Debian Sid box.
 
Old 08-29-2015, 09:28 AM   #3
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen DK
Distribution: PCLinuxOS2023 Fedora38 + 50+ other Linux OS, for test only.
Posts: 17,518

Rep: Reputation: 3641Reputation: 3641Reputation: 3641Reputation: 3641Reputation: 3641Reputation: 3641Reputation: 3641Reputation: 3641Reputation: 3641Reputation: 3641Reputation: 3641
? May be the OP is trying to use the old useless (gaming) libnet-0.10.11 ?
http://sourceforge.net/projects/libnet/files/
. http://www.linuxquestions.org/questi...7/#post3771650
 
Old 08-30-2015, 02:37 AM   #4
Peter_APIIT
Member
 
Registered: Dec 2006
Posts: 606

Original Poster
Rep: Reputation: 31
I'm building the libnet-0.10.11.tar.gz. What wrong with it?

Let me try the newer version on OpenBSD. I try the libnet-1.1.6 together with ArpOn-2.7.2.

Error when compiling

Error:
libnet_link_bpf.c:31:23: error: sys/timeb.h: No such file or directory
Error 1 in src (Makefile:411 'libnet_link_bpf.lo')

Last edited by Peter_APIIT; 08-30-2015 at 02:48 AM.
 
Old 08-30-2015, 03:07 AM   #5
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen DK
Distribution: PCLinuxOS2023 Fedora38 + 50+ other Linux OS, for test only.
Posts: 17,518

Rep: Reputation: 3641Reputation: 3641Reputation: 3641Reputation: 3641Reputation: 3641Reputation: 3641Reputation: 3641Reputation: 3641Reputation: 3641Reputation: 3641Reputation: 3641
"libnet-0.10.11" http://sourceforge.net/projects/libnet/
Quote : "Libnet is a cross-platform library aimed at game developers.
It has an abstract high level API, which encourages developers to make their games portable across platforms and network types."

? What's the purpose of a year 2000 libnet ? (Some files were updated year 2003.)
And : There is no "<port>.mak" for OpenBSD. See libnet/makfiles/.
And : You probably don't have the required gcc-2.95 or gcc-3.2.3, see ...
http://www.linuxquestions.org/questi...7/#post3771650
Linux example : cp libnet/makfiles/linux.mak port.mak && make CC=gcc32


The "default" libnet : See post #2. ( libnet-1.1.3.tar.gz .. libnet-1.1.6.tar.gz )
http://sourceforge.net/projects/libnet-dev/files/
Libnet OpenBSD, example libnet-1.1.2.1p0.tgz
http://www.openbsd.org/4.6_packages/...-contents.html
. ftp://ftp.usa.openbsd.org/pub/OpenBS...-1.1.2.1p0.tgz


-

Last edited by knudfl; 08-30-2015 at 03:17 AM.
 
  


Reply

Tags
libnet


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Arping and Libnet returning error. Install problem? gregw040 Linux - Software 3 07-06-2006 09:14 AM
libnet install blueAlien Slackware 3 03-27-2006 08:09 AM
libnet problem zaichik Programming 0 08-06-2005 06:30 PM
problem with libnet/libpcap on Linux filomotta Programming 0 05-31-2005 07:49 AM
Trying to install ettercap: error with libnet:wrong version?? Baix Linux - Newbie 1 02-22-2005 04:34 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 08:39 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration